Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 2 of 2

Thread: Can't getting Started

  1. #1
    Junior Member
    Join Date
    Feb 2021
    Posts
    1

    Can't getting Started

    Hi I'm new to Teensy and tried to learn it step by step.
    The thing is, even staying strictly with the example, I can't get it to work.

    Currently I'm at https://www.pjrc.com/teensy/gcc.html
    Using Make to Compile Blinky
    ...And I'm getting errors.
    Code:
    Compiling C: blinky.c
    avr-gcc -c -mmcu=at90usb1286       -I. -gdwarf-2 -DF_CPU=16000000UL -Os -funsigned-char -funsigned-bitfields -ffunction-sections -fpack-struct -fshort-enums -Wall -Wstrict-prototypes -Wa,-adhlns=./blinky.lst  -std=gnu99 -MMD -MP -MF .dep/blinky.o.d blinky.c -o blinky.o
    blinky.c:158: fatal error: opening dependency file .dep/blinky.o.d: No such file or directory
    compilation terminated.
    make: *** [blinky.o] Error 1
    Board is a Teensy++ 2.0
    Code is Blinky Example Source Code
    https://www.pjrc.com/teensy/blinky.zip
    makefile is adjusted to Teensy++ 2.0

    any suggestions???

  2. #2
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    24,081
    Oh, sorry, nobody uses it that way anymore. Maybe I should just delete those ancient pages about avr-gcc.

    To get your Teensy++ 2.0 working, install the Arduino IDE and then Teensyduino. Details here:

    https://www.pjrc.com/teensy/td_download.html

    Then run Arduino, select Teensy++ 2.0 from the Tools > Boards menu. Then click File > Examples > 01.Basics > Blink, and click Upload to compile and program it to your board.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •